Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  package patmat
  Definition Classes
    transform
-  trait MatchCodeGen extends Interface

  Factory methods used by TreeMakers to make the actual trees.

  Factory methods used by TreeMakers to make the actual trees.

  We have two modes in which to emit trees: optimized (the default) and pure (aka "virtualized": match is parametric in its monad).

  Definition Classes
    patmat
-  trait CodegenCore extends MatchMonadInterface
  Definition Classes
    MatchCodeGen
- AbsCodegen
- Casegen
- CommonCodegen

c

scala.tools.nsc.transform.patmat.MatchCodeGen.CodegenCore

# CommonCodegen

###

#### abstract class CommonCodegen extends AbsCodegen

Source
  MatchCodeGen.scala

Linear Supertypes
AbsCodegen, AnyRef, Any
Known Subclasses
optimizedCodegen, OptimizedCasegen
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CommonCodegen
2. AbsCodegen
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new CommonCodegen()

### Abstract Value Members

1.  abstract def matcher(scrut: Global.Tree, scrutSym: Global.Symbol, restpe: Global.Type)(cases: List[(Casegen) => Global.Tree], matchFailGen: Option[(Global.Tree) => Global.Tree]): Global.Tree
   Definition Classes
     AbsCodegen

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from CommonCodegen toany2stringadd[CommonCodegen] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (CommonCodegen, B)
   Implicit
     This member is added by an implicit conversion from CommonCodegen toArrowAssoc[CommonCodegen] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def _asInstanceOf(b: Global.Symbol, tp: Global.Type): Global.Tree
   Definition Classes
     CommonCodegen → AbsCodegen
7.  def _equals(checker: Global.Tree, binder: Global.Symbol): Global.Tree
   Definition Classes
     CommonCodegen → AbsCodegen
8.  def _isInstanceOf(b: Global.Symbol, tp: Global.Type): Global.Tree
   Definition Classes
     CommonCodegen → AbsCodegen
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  def drop(tgt: Global.Tree)(n: Int): Global.Tree
    Definition Classes
      CommonCodegen → AbsCodegen
12.  def ensuring(cond: (CommonCodegen) => Boolean, msg: => Any): CommonCodegen
    Implicit
      This member is added by an implicit conversion from CommonCodegen toEnsuring[CommonCodegen] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: (CommonCodegen) => Boolean): CommonCodegen
    Implicit
      This member is added by an implicit conversion from CommonCodegen toEnsuring[CommonCodegen] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean, msg: => Any): CommonCodegen
    Implicit
      This member is added by an implicit conversion from CommonCodegen toEnsuring[CommonCodegen] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean): CommonCodegen
    Implicit
      This member is added by an implicit conversion from CommonCodegen toEnsuring[CommonCodegen] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
18.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
19.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from CommonCodegen toStringFormat[CommonCodegen] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
20.  def fun(arg: Global.Symbol, body: Global.Tree): Global.Tree
21.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  def index(tgt: Global.Tree)(i: Int): Global.Tree
    Definition Classes
      CommonCodegen → AbsCodegen
24.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
25.  def mkZero(tp: Global.Type): Global.Tree
    Definition Classes
      CommonCodegen → AbsCodegen
26.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
27.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
28.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
29.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
30.  def toString(): String
    Definition Classes
      AnyRef → Any
31.  def tupleSel(binder: Global.Symbol)(i: Int): Global.Tree
    Definition Classes
      CommonCodegen → AbsCodegen
32.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
33.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
34.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (CommonCodegen, B)
   Implicit
     This member is added by an implicit conversion from CommonCodegen toArrowAssoc[CommonCodegen] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AbsCodegen

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromCommonCodegen to any2stringadd[CommonCodegen]

### Inherited by implicit conversion StringFormat fromCommonCodegen to StringFormat[CommonCodegen]

### Inherited by implicit conversion Ensuring fromCommonCodegen to Ensuring[CommonCodegen]

### Inherited by implicit conversion ArrowAssoc fromCommonCodegen to ArrowAssoc[CommonCodegen]

### Ungrouped